Allocates a new party on a ledger and adds it to the set managed by the participant
POST
JSON Ledger API
Allocates a new party on a ledger and adds it to the set managed by the participant
OpenAPISince 3.4Changed 3.5
Protocol Details
Inputs
Request body
application/json
string
A hint to the participant which party ID to allocate. It can be ignored. Must be a valid PartyIdString (as described in
value.proto). Optionalobject
OpenAPI type:
ObjectMeta.Represents metadata corresponding to a participant resource (e.g. a participant user or participant local information about a party). Based on ObjectMeta meta used in Kubernetes API. See https://github.com/kubernetes/apimachinery/blob/master/pkg/apis/meta/v1/generated.proto#L640string
The id of the
Identity Provider If not set, assume the party is managed by the default identity provider or party is not hosted by the participant. Optionalstring
The synchronizer, on which the party should be allocated. For backwards compatibility, this field may be omitted, if the participant is connected to only one synchronizer. Otherwise a synchronizer must be specified. Optional
string
The user who will get the act_as rights to the newly allocated party. If set to an empty string (the default), no user will get rights to the party. Optional
Outputs
200
application/json
PartyDetails
required
400
text/plain
string
required
default
application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean
History
Changed
3.5The POST /v2/parties operation changed in this snapshot.
Introduced
3.4